/* --COPYRIGHT--,BSD
 * Copyright (c) 2017, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
//******************************************************************************
/*
 * MCx_System.h
 *
 *  Created on: Nov 4, 2019
 *      Author: a0131806
 */

#ifndef MCX_SYSTEM_H_
#define MCX_SYSTEM_H_

extern uint16_t i;
extern unsigned char RXData;
extern unsigned char TXData;

extern uint8_t check;
extern int ErrorCount;
// Pointer to TX data
extern char TXData_I2C;
extern char TXByteCtr_I2C;
extern int RXCOUNT_I2C;
extern char RXData_I2C;
extern int  MCC_Packet_Size;
extern int DLEN;
extern int EndOfWrite;
extern int resent_count;


extern unsigned char igInCmdBuffer[CMD_BUFFER_SIZE];
extern int MEMADDR_PROG;
extern unsigned char DATARD_ARRAY[MAX_PACKET_SIZE_RD] ;
extern unsigned char DATAWR_ARRAY[MAX_PACKET_SIZE_WR];
//unsigned char DATAWR_ARRAY[MAX_PACKET_SIZE_WR] = { 0xC0,0x90,0x0,0x93 } ;
extern unsigned char DATAWR_ARRAY[MAX_PACKET_SIZE_WR] ;
extern unsigned char NVMData[64];
extern long int NVMAddress;
extern uint32_t clockValue;


extern int MCC_RW;
extern int CRC_EN;


//*****************************************************************************
//
//XT1 Crystal Frequency being used
//
//*****************************************************************************
#define CS_XT1_CRYSTAL_FREQUENCY    4000000

//*****************************************************************************
//
//Desired Timeout for XT1 initialization
//
//*****************************************************************************
#define CS_XT1_TIMEOUT 50000




#endif /* MCX_SYSTEM_H_ */
